import React from 'react';
import { DirectionType } from './utils';
export declare type UseSmoothScrollType = {
    /** the container dom RefObject which use `overflow:scroll` */
    ref: React.RefObject<HTMLElement>;
    /** distance per frame, reflects to speed while scrolling */
    speed?: number;
    /** scroll direction, you can use 'x` for vertical, 'y` for horizontal */
    direction?: DirectionType;
    threshold?: number;
};
export declare const useSmoothScroll: ({ ref, speed, direction, threshold, }: UseSmoothScrollType) => {
    reachTop: boolean;
    reachBottom: boolean;
    scrollTo: (target?: string | number | undefined, offset?: number | undefined) => void;
    scrollToPage: (page: number) => void;
    refreshState: (...args: any) => void;
    refreshSize: (...args: any) => void;
};
export default useSmoothScroll;
