export declare enum Direction {
    X = "x",
    Y = "y"
}
export declare type DirectionType = Direction | 'x' | 'y';
export declare type AttrMapType = {
    scrollLeftTop: 'scrollLeft' | 'scrollTop';
    scrollWidthHeight: 'scrollWidth' | 'scrollHeight';
    clientWidthHeight: 'clientWidth' | 'clientHeight';
    offsetLeftTop: 'offsetLeft' | 'offsetTop';
    offsetWidthHeight: 'offsetWidth' | 'offsetHeight';
    leftTop: 'top' | 'left';
};
export declare const getAttrMap: (direction: DirectionType) => AttrMapType;
export declare function debounce(cb: Function, delay?: number): (...args: any) => void;
export declare const isWindowScrollParent: (elm: HTMLElement) => boolean;
